function plot_data(model);
% function plot_data(model);
%
% model: number of model in solow_detrending
%
% Last update: December 10, 2001
%
% Author: Klaus Reiner Schenk-Hopp 
% Email: klaus@iew.unizh.ch
% Web: www.iew.unizh.ch/home/klaus

  if model==1,
     load solow1data_original;
  end
    if model==2,
     load solow2data_original;
  end
  if model==3,
     load solow3data_original;
  end

fig1 = figure;
hold
plot(timeaxis,s*zAggr,'-b');
plot([timeaxis(1),timeaxis(length(timeaxis))],[s,s],'-k')
%grid on
axis('tight')
title('s_t');
print -depsc2 figure3sn.eps

fig2 = figure;
hold
plot(timeaxis,CapitalIntensity,'-b');
plot([timeaxis(1),timeaxis(length(timeaxis))],[ExpCapitalIntensity,ExpCapitalIntensity],'-k')
axis('tight')
title('Capital intensity k(t)');
print -depsc2 figure3bn.eps

fig3 = figure;
hold
plot(timeaxis,OutputIntensity,'-b');
plot([timeaxis(1),timeaxis(length(timeaxis))],[ExpOutputIntensity,ExpOutputIntensity],'-k')
axis('tight')
title('Output intensity y(t)');
print -depsc2 figure3cn.eps

fig4 = figure;
hold
plot(timeaxis,LogCapitalStock,'-b');
plot(timeaxis,ExpLogCapitalIntensity+LogTechnState,'-k');
axis('tight')
title('Log(Capital stock K(t)) (blue), actual trend (black)');
print -depsc2 figure3dn.eps

fig5 = figure;
hold
plot(timeaxis,1+TechnProg,'-b');
plot([timeaxis(1),timeaxis(length(timeaxis))],[Erate,Erate],'-k')
axis('tight')
title('Rate of technical progress 1+eta_{t+1}');
print -depsc2 figure3en.eps


fig6 = figure;
hold
plot(timeaxis,LogTechnState,'-b');
axis('tight')
title('Log(a(t))');
print -depsc2 figure3fn.eps


fig7 = figure;
hold
%plot(timeaxis,HPLogGDP+transpose(HPtrendLogGDP),'-g')
plot(timeaxis,BPtrendLogGDP,'-g')
plot(timeaxis,HPtrendLogGDP,'-m')
%plot(timeaxis,HPtmptrendLogGDP,'-k')
plot(timeaxis,LogGDP,'-b')
plot(timeaxis,ExpLogOutputIntensity+LogTechnState,'-k');
%plot(timeaxis,LogTechnState-lr_LogTechnState(1)+lr_LogGDP(1),'-k')
axis('tight')
title('Trend of log(Y_t): HP1600 (magenta), BK(6,32,12) (green), actual trend (black). Data (blue) for reference')

fig8 = figure;
hold
%plot(timeaxis,HPLogCapitalStock+transpose(HPtrendLogCapitalStock),'-g')
plot(timeaxis,BPtrendLogCapitalStock,'-g')
plot(timeaxis,HPtrendLogCapitalStock,'-m')
plot(timeaxis,LogCapitalStock,'-b')
plot(timeaxis,ExpLogCapitalIntensity+LogTechnState,'-k')
%plot(timeaxis,LogTechnState-lr_LogTechnState(1)+lr_LogCapitalStock(1),'-k')
axis('tight')
title('Trend of log(K_t): HP1600 (magenta), BK(6,32,12) (green), actual trend (black). Data (blue) for reference')

fig9 = figure;
hold
plot(timeaxis,BPLogGDP,'-g')
plot(timeaxis,HPLogGDP,'-m')
plot(timeaxis,LogGDP-(ExpLogOutputIntensity+LogTechnState),'-b')
plot([timeaxis(1),timeaxis(length(timeaxis))],[0,0],'-k')
axis('tight')
title('Business cycles (log(Y_t) - trend): HP1600 (magenta), BK(6,32,12) (green), actual cycle (blue)')

fig10 = figure;
hold
plot(timeaxis,BPLogCapitalStock,'-g')
plot(timeaxis,HPLogCapitalStock,'-m')
plot(timeaxis,LogCapitalStock-(ExpLogCapitalIntensity+LogTechnState),'-b')
plot([timeaxis(1),timeaxis(length(timeaxis))],[0,0],'-k')
axis('tight')
title('Business cycles (log(K_t)- trend): HP1600 (magenta), BK(6,32,12) (green), actual cycle (blue)')
